Bug 1139187 - Update to 1.7.3 release & catch up gtk3
Summary: Update to 1.7.3 release & catch up gtk3
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: albatross
Version: 21
Hardware: All
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Jayson Rowe
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-09-08 10:41 UTC by poma
Modified: 2014-11-18 12:16 UTC (History)
2 users (show)

Fixed In Version: albatross-1.7.3-2.fc21
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-11-18 12:16:10 UTC


Attachments (Terms of Use)
Update to 1.7.3 release & catch up gtk3 (6.57 KB, patch)
2014-09-08 10:42 UTC, poma
no flags Details | Diff
Albatross - changes related to gtk+-3.13.[3-7] (5.05 KB, patch)
2014-09-10 20:50 UTC, poma
no flags Details | Diff
Fix based on upstream fix for checkboxes and radios in gtk3.14 (14.85 KB, patch)
2014-11-06 19:24 UTC, poma
no flags Details | Diff
Fix for checkboxes and radios in gtk3.14 - for upstream (6.39 KB, patch)
2014-11-07 08:22 UTC, poma
no flags Details | Diff
Fix for fix - now it's complete - for upstream (1.20 KB, patch)
2014-11-08 07:12 UTC, poma
no flags Details | Diff
Upstream fix for checkboxes and radios in gtk3.14 (16.77 KB, patch)
2014-11-08 11:54 UTC, poma
no flags Details | Diff
Upstream fix for checkboxes and radios in gtk3.14 v2 (16.98 KB, patch)
2014-11-10 15:23 UTC, poma
no flags Details | Diff

Description poma 2014-09-08 10:41:59 UTC

Comment 1 poma 2014-09-08 10:42:39 UTC
Created attachment 935301 [details]
Update to 1.7.3 release & catch up gtk3

Comment 2 poma 2014-09-10 20:50:52 UTC
Created attachment 936324 [details]
Albatross - changes related to gtk+-3.13.[3-7]

Comment 3 Fedora Update System 2014-10-03 19:27:51 UTC
albatross-1.7.3-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/albatross-1.7.3-1.fc21

Comment 4 Fedora Update System 2014-10-10 16:06:55 UTC
albatross-1.7.3-1.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 5 poma 2014-11-06 19:24:49 UTC
Created attachment 954605 [details]
Fix based on upstream fix for checkboxes and radios in gtk3.14


- Fix based on upstream 'fix for checkboxes and radios in gtk3.14'
  https://github.com/shimmerproject/Greybird/commit/6f8013c

- The "shadow" is re-enabled, the full size of the app menu in the system tray
  is resolved upstream - gtkmenu: fix unnecessary scroll buttons gtk-3-14
  https://git.gnome.org/browse/gtk+/commit/?h=gtk-3-14&id=695ff38

  The same applies to the Shimmer Project Desktop Suites for Xfce as a whole,
  i.e. Greybird, Bluebird and Albatross.

  With these two corrections bugs #1114161, #1139190 and #1139187
  are solved completely.

Comment 6 poma 2014-11-07 08:22:25 UTC
Created attachment 954817 [details]
Fix for checkboxes and radios in gtk3.14 - for upstream

Comment 7 poma 2014-11-07 19:38:24 UTC
Small issue, until I find what is causing it ...

Comment 8 poma 2014-11-08 07:12:55 UTC
Created attachment 955195 [details]
Fix for fix - now it's complete - for upstream

Comment 9 poma 2014-11-08 11:54:50 UTC
Created attachment 955214 [details]
Upstream fix for checkboxes and radios in gtk3.14

Comment 10 Kevin Fenzi 2014-11-09 20:22:07 UTC
Thanks for the patches.

Where did Fix-for-upstream-git-commit-4eb59af.patch come from? It doesn't seem applied upstream and also 'git am' won't apply it due to no email address...

Comment 11 poma 2014-11-10 09:40:22 UTC
It is not yet up, but has been tested and works OK.
Early Monday it is, and if the up doesn't apply it, I'll regenerate it with the email.
OK?

Comment 12 poma 2014-11-10 15:23:55 UTC
Created attachment 955854 [details]
Upstream fix for checkboxes and radios in gtk3.14 v2

Comment 13 Fedora Update System 2014-11-11 17:53:27 UTC
albatross-1.7.3-2.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/albatross-1.7.3-2.fc21

Comment 14 Fedora Update System 2014-11-13 18:11:27 UTC
Package albatross-1.7.3-2.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing albatross-1.7.3-2.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-14866/albatross-1.7.3-2.fc21
then log in and leave karma (feedback).

Comment 15 Fedora Update System 2014-11-18 12:16:10 UTC
albatross-1.7.3-2.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.